xml-1.3.14: A simple XML library.

Copyright | (c) Galois Inc. 2007
License | BSD3
Maintainer | Iavor S. Diatchki <diatchki@galois.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Text.XML.Light.Input

Description

Lightweight XML parsing

Synopsis

- parseXML :: XmlSource s => s -> [Content]
- parseXMLDoc :: XmlSource s => s -> Maybe Element

# Documentation

parseXML :: XmlSource s => s -> [Content] Source #

parseXML to a list of content chunks

parseXMLDoc :: XmlSource s => s -> Maybe Element Source #

parseXMLDoc, parse a XMLl document to maybe an element